require( "scripts/game/deftime.lua" );
-- не настраивать
GameObject = {
    Params = {
        ID="workshop";
        width=3;
        height=3;
        GridData = { 
            1,1,1,
            1,1,1,
            1,1,1
        };
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {};
    -- перечисление всех триггеров для обьекта
    Triggers = {};
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- акция
    Action = {};
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

